## chaplin 1.10

=== Makefile ===
# Makefile for chap
# $Id: Makefile,v 1.5 2004/03/21 17:44:18 cnvogelg Exp $

LIBDVDREAD=/soft/libdvdread

all: build

build:
	gcc -DNDEBUG -Wall -I$(LIBDVDREAD)/include -L$(LIBDVDREAD)/lib -ldvdread -Wl,-rpath,$(LIBDVDREAD)/lib -o chaplin chaplin.c -lm

debug:
	gcc -Wall -I$(LIBDVDREAD)/include -L$(LIBDVDREAD)/lib -ldvdread -Wl,-rpath,$(LIBDVDREAD)/lib -o chaplin chaplin.c -lm

dist:
	cd .. ; tar cvfz chaplin.tgz chaplin/Makefile chaplin/chaplin.c chaplin/chaplin-genmenu chaplin/chaplin

=== debian/changelog ===
chaplin (1.10-dmo5) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 29 Mar 2024 12:42:36 +0100

chaplin (1.10-dmo4) unstable; urgency=medium

  * Build with libdvdread8

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Apr 2020 00:24:23 +0200

chaplin (1.10-dmo3) unstable; urgency=medium

  * Build with libdvdread7

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 26 Nov 2019 00:56:41 +0100

chaplin (1.10-dmo2) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 05 Mar 2017 18:53:22 +0100

chaplin (1.10-dmo1) unstable; urgency=low

  * Build with hardened flags.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Jul 2012 12:29:02 +0200

chaplin (1.10-0.3) unstable; urgency=low

  * Uptaded to latest Standards-Version: 3.9.1 and debhelper 7.

 -- Christian Marillat <marillat@debian.org>  Sun, 27 Feb 2011 23:28:46 +0100

chaplin (1.10-0.2) unstable; urgency=low

  * Rebuild against latest libdvdread-dev.

 -- Christian Marillat <marillat@debian.org>  Sat, 07 Mar 2009 11:31:23 +0100

chaplin (1.10-0.1) unstable; urgency=low

  * Replace libdvdread3-dev by libdvdread-dev in Build-Depends.

 -- Christian Marillat <marillat@debian.org>  Mon,  8 May 2006 08:26:39 +0200

chaplin (1.10-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Thu,  1 Apr 2004 01:14:01 +0200

chaplin (1.9-0.1) unstable; urgency=low

  * Added chaplin-genmenu in the package, thanks to Ian Eure

 -- Christian Marillat <marillat@debian.org>  Thu, 11 Mar 2004 10:35:32 +0100

chaplin (1.9-0.0) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 14 Feb 2004 21:39:19 +0100

chaplin (1.8-0.0) unstable; urgency=low

  * Initial Release.

 -- Christian Marillat <marillat@debian.org>  Tue, 25 Feb 2003 16:20:00 +0100

=== debian/control ===
Source: chaplin
Section: utils
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://www.lallafa.de/bp/chaplin.html
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), libdvdread-dev (>= 6.1.1~), quilt

Package: chaplin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: DVD chapter extractor
 The tool parses a DVD disc or image and extracts the exact duration for
 each chapter of a given title. Then the total list of chapters is split
 into a user-selectable number of subsets. Each subset should have
 approximately the same duration.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt

override_dh_clean:
	dh_clean chaplin

=== debian/watch ===
version=4

https://www.lallafa.de/bp/chaplin.html \
files/chaplin-(.*)@ARCHIVE_EXT@
